package com.leospa.properties;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Hashtable;
import java.util.Properties;

public class ContentPropertiesFile {

	public static String MASSAGE;
	public static Hashtable<String, String> dayHash = new Hashtable();
	public static Hashtable<String, String> monthHash = new Hashtable();
	public static String Free;
	public static String Confirmation;
	public static String Confirmation_Meaasge;
	public static String Remaining_Time;
	public static String Time;
	public static String Laoding;
	public static String Service_staff;
	public static String Service_content;
	public static String Studio_team;
	public static String Customer_info;
	public static String Electronic_Id;
	public static String Your_Current_Credit;
	public static String Next_Select;
	public static String Stop;
	public static String TestDewald;
	public static String Euro;
	public static String Please_Select_Time;
	public static String Confirmation_Cart;
	public static String ShoppingContent;
	public static String Thanks_Message;
	public static String Thanks_Message1;
	public static String Thanks_Message2;
	public static String Price_Symbol;
	public static String Low_Credit;
	
	public static void main(String[] args) {
		
	}
	
	static {
		Properties prop = new Properties();
		FileInputStream input = null;
		try {

			input = new FileInputStream("./leospa.properties");
			BufferedReader in = new BufferedReader(new InputStreamReader(input, "UTF8"));
			prop.load(in);
			MASSAGE = prop.getProperty("Massage");
			if(ConfigPropertiesFile.DEBUG_MODE_ON == true){ System.out.println(MASSAGE);}
			dayHash.put("Sunday", prop.getProperty("Sunday"));
			dayHash.put("Monday", prop.getProperty("Monday"));
			dayHash.put("Tuesday", prop.getProperty("Tuesday"));
			dayHash.put("Wednesday", prop.getProperty("Wednesday"));
			dayHash.put("Thursday", prop.getProperty("Thursday"));
			dayHash.put("Friday", prop.getProperty("Friday"));
			dayHash.put("Saturday", prop.getProperty("Saturday"));
			
			monthHash.put("January", prop.getProperty("January"));
			monthHash.put("February", prop.getProperty("February"));
			monthHash.put("March", prop.getProperty("March"));
			monthHash.put("April", prop.getProperty("April"));
			monthHash.put("May", prop.getProperty("May"));
			monthHash.put("June", prop.getProperty("June"));
			monthHash.put("July", prop.getProperty("July"));
			monthHash.put("August", prop.getProperty("August"));
			monthHash.put("September", prop.getProperty("September"));
			monthHash.put("October", prop.getProperty("October"));
			monthHash.put("November", prop.getProperty("November"));
			monthHash.put("December", prop.getProperty("December"));		
			
			Free= prop.getProperty("Free");
			Confirmation= prop.getProperty("Confirmation");
			Confirmation_Meaasge= prop.getProperty("Confirmation_Meaasge");
			Remaining_Time= prop.getProperty("Remaining_Time");
			Time= prop.getProperty("Time");
			
			Customer_info= prop.getProperty("Customer_info");
			Laoding= prop.getProperty("Loading");
			Service_staff= prop.getProperty("Service_staff");
			Service_content= prop.getProperty("Service_content");
			Low_Credit= prop.getProperty("Low_Credit");
			Studio_team= prop.getProperty("Studio_team");
			Studio_team= prop.getProperty("Studio_team");
			Electronic_Id= prop.getProperty("Electronic_Id");
			Your_Current_Credit= prop.getProperty("Your_Current_Credit");
			Next_Select= prop.getProperty("Next_Select");
			Stop= prop.getProperty("Stop");
			TestDewald= prop.getProperty("TestDewald");
			Euro= prop.getProperty("Euro");
			Price_Symbol= prop.getProperty("Price_Symbol");
			Please_Select_Time= prop.getProperty("Please_Select_Time");
			Confirmation_Cart= prop.getProperty("Confirmation_Cart");
			ShoppingContent= prop.getProperty("ShoppingContent");
			Thanks_Message= prop.getProperty("Thanks_Message");
			Thanks_Message1 =prop.getProperty("Thanks_Message1");
			Thanks_Message2 =prop.getProperty("Thanks_Message2");
			

		} catch (Exception e) {
			if(ConfigPropertiesFile.DEBUG_MODE_ON == true){e.printStackTrace();}
		} finally {
			if (input != null) {
				try {
					input.close();
				} catch (IOException e) {
					if(ConfigPropertiesFile.DEBUG_MODE_ON == true){e.printStackTrace();}
				}
			}
		}
	}

}
